package com.nisum.application.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.time.LocalDate;

@Document(collection = "profiles")
@Data
public class Profile {

    @Id
    private String id;

    private String firstName;


    private String lastName;


    private LocalDate dateOfBirth;

    private String permanentAccountNumber;

    private String adharNumber;


    private String mobileNumber;

}


